<style scoped>
  .title {
    height: 60px;
    line-height: 60px;
  }

  .search {
    background-color: #fff;
    height: 80px;
    display: flex;
    align-items: center;
  }
  .search_thing {
    display: flex;
    align-items: center;
    height: 50px;
  }
  .search_label {
    width: 100px;
    font-size: 14px;
    text-align: right;
  }

  .search_input {
    width: calc(100% - 120px);
  }
  .table {
    margin-top: 10px;
    background-color: #fff;
    width: calc(100% - 40px);
    padding: 20px;
  }
  .standard-main{
    overflow-y: auto;
    scrollbar-width: none;
  }

</style>
<template>
  <div class="standard-main">
    <div style="width: 100%;height: 100%;">
      <div>
        <el-row class="title">
          <el-col :span="12" style="padding-left: 20px;">废物处理交接记录</el-col>
          <el-col :span="12" style="text-align: right;">
						<el-button size="medium" type="primary" @click="$refs['ValueTable'].openAddDia('新增接口')" v-if="addPower">新 增</el-button>
            <el-button size="medium" type="primary" @click="openAddDetail" v-if="addPower">新增明细</el-button>
            <el-button size="medium" @click="$refs['ValueTable'].openDownDia()">导 出</el-button>
					</el-col>
        </el-row>
      </div>
      <div class="search">
        <div class="search_thing">
          <div class="search_label">日期：</div>
          <div class="search_input">
            <el-date-picker
              v-model="componentData.entity.sample"
              format="yyyy-MM-dd HH:mm:ss"
              value-format="yyyy-MM-dd HH:mm:ss"
              type="date"
              size="small"
              @change="refreshTable()"
              placeholder="选择日期">
            </el-date-picker>
          </div>
        </div>
        <div class="search_thing" style="padding-left: 30px;">
          <el-button size="small" @click="refresh()">重 置</el-button>
          <el-button size="small" type="primary" @click="refreshTable()">查 询</el-button>
        </div>
      </div>
      <div class="table">
        <el-table
            :data="tableData"
            style="width: 100%;margin-bottom: 10px;"
            height="200px">
            <el-table-column
              prop="value0"
              label="文件编码"
              width="180">
            </el-table-column>
            <el-table-column
              prop="value1"
              label="NO:"
              width="180">
            </el-table-column>
            <el-table-column
              prop="value2"
              label="录入日期">
            </el-table-column>
            <el-table-column
              prop="value3"
              label="录入人">
            </el-table-column>
            <el-table-column
              prop="value4"
              label="更新人">
            </el-table-column>
            <el-table-column
              prop="value5"
              label="更新时间">
            </el-table-column>
          </el-table>
          <ValueTable ref="ValueTable" :url="$api.unPass.pageInsUnPass" :componentData="componentData"
          :key="upIndex" style="height: 400px;" />
      </div>
    </div>
    <el-dialog title="明细新增" :visible.sync="addDetailVisible" width="400px">
      <div class="body" style="max-height: 60vh;">
        <el-row>
          <el-col class="search_thing" :span="22">
            <div class="search_label"><span class="required-span">* </span>名称：</div>
            <div class="search_input">
              <el-input v-model="form.value0" size="small" placeholder="请输入"></el-input>
            </div>
          </el-col>
          <el-col class="search_thing" :span="22">
            <div class="search_label"><span class="required-span">* </span>体积：</div>
            <div class="search_input">
              <el-input v-model="form.value1" size="small" placeholder="请输入"></el-input>
            </div>
          </el-col>
          <el-col class="search_thing" :span="22">
            <div class="search_label">送处理日期：</div>
            <div class="search_input">
              <el-date-picker
              v-model="form.value2"
              type="date"
              size="small"
              format="yyyy-MM-dd HH:mm:ss"
              value-format="yyyy-MM-dd HH:mm:ss"
              placeholder="选择日期"
              style="width: 100%;">
            </el-date-picker>
            </div>
          </el-col>
          <el-col class="search_thing" :span="22">
            <div class="search_label">移交人：</div>
            <div class="search_input">
              <el-select v-model="form.value3" placeholder="请选择" size="small" style="width: 100%;">
                <el-option
                  v-for="item in personList"
                  :key="item.value"
                  :label="item.label"
                  :value="item.value">
                </el-option>
              </el-select>
            </div>
          </el-col>
          <el-col class="search_thing" :span="22">
            <div class="search_label">接收人：</div>
            <div class="search_input">
              <el-select v-model="form.value3" placeholder="请选择" size="small" style="width: 100%;">
                <el-option
                  v-for="item in personList"
                  :key="item.value"
                  :label="item.label"
                  :value="item.value">
                </el-option>
              </el-select>
            </div>
          </el-col>
          <el-col class="search_thing" :span="22">
            <div class="search_label">接收单位：</div>
            <div class="search_input">
              <el-select v-model="form.value3" placeholder="请选择" size="small" style="width: 100%;">
                <el-option
                  v-for="item in compList"
                  :key="item.value"
                  :label="item.label"
                  :value="item.value">
                </el-option>
              </el-select>
            </div>
          </el-col>
        </el-row>
      </div>
      <span slot="footer" class="dialog-footer">
        <el-row>
          <el-button @click="noDialogVisible=false,tell=''">取 消</el-button>
          <el-button type="primary" @click="addDetail" :loading="addDetailLoading">确 定</el-button>
        </el-row>
      </span>
    </el-dialog>
  </div>
</template>

<script>
  import ValueTable from '../tool/value-table.vue'
export default {
  components: {
    ValueTable,
  },
  data() {
    return {
        componentData: {
          entity: {
            sample: null,
            model: null,
            orderBy: {
              field: 'id',
              order: 'asc'
            }
          },
          isIndex: true,
          showSelect: false,
          select: false,
          do: [
            {
              id: 'update',
              font: '编辑',
              type: 'text',
              method: 'doDiy',
              field:['createUserName','updateUserName']
            },{
              id: 'delete',
              font: '删除',
              type: 'text',
              method: 'doDiy'
            }
          ],
          tagField: [],
          selectField: [],
          requiredAdd: ['model','sample',],
          requiredUp: []
        },
        tableData:[],
        entityCopy: {},
        upIndex: 0,
        stateList: [],
        addPower:true,
        addDetailLoading:false,
        addDetailVisible:false,
        form:{},
        personList:[],
        compList:[]
      }
  },
  mounted() {
    this.entityCopy = this.HaveJson(this.componentData.entity)
    this.getPower()
  },
  methods :{
    refreshTable() {
        this.$refs['ValueTable'].selectList()
      },
    refresh() {
        this.componentData.entity = this.HaveJson(this.entityCopy)
        this.upIndex++
      },
    // 权限分配
    getPower(radio) {
      let power = JSON.parse(sessionStorage.getItem('power'))
    },
    openAddDetail(){
      this.form = {}
      this.addDetailVisible = true
    },
    addDetail(){
      if(!this.form.value0){
        this.$message.error('请输入名称')
        return
      }
      if(!this.form.value0){
        this.$message.error('体积')
        return
      }
      this.addDetailLoading = true
    }
  }
}
</script>
